Bug 1011960 - Review Request: datanucleus-rdbms - plugin for RDBMS storage
Review Request: datanucleus-rdbms - plugin for RDBMS storage
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All All
unspecified Severity unspecified
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On: datanucleus-core
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-25 08:54 EDT by Pete MacKinnon
Modified: 2014-02-06 03:07 EST (History)
2 users (show)

See Also:
Fixed In Version: datanucleus-rdbms-3.2.9-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 22:43:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pete MacKinnon 2013-09-25 08:54:43 EDT
Plugin for DataNucleus providing persistence to RDBMS data-stores.

SPEC URL: http://pmackinn.fedorapeople.org/datanucleus/datanucleus-rdbms.spec
SRPM URL: http://pmackinn.fedorapeople.org/datanucleus/datanucleus-rdbms-3.2.6-1.fc19.src.rpm
Comment 1 Pete MacKinnon 2013-12-10 13:18:57 EST
Updated to latest version (3.2.9) and fixed xmvn build:

SPEC URL: http://pmackinn.fedorapeople.org/datanucleus/datanucleus-rdbms.spec
SRPM URL: http://pmackinn.fedorapeople.org/datanucleus/datanucleus-rdbms-3.2.9-1.fc20.src.rpm
Comment 2 gil cattaneo 2013-12-11 13:24:02 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Maven packages should use new style packaging
  Note: If possible update your package to latest guidelines
  See: https://fedoraproject.org/wiki/Packaging:Java#Apache_Maven
skip for now: see https://bugzilla.redhat.com/show_bug.cgi?id=1011003

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated". 1 files have unknown license.
     Detailed output of licensecheck in /home/gil/1011960-datanucleus-
     rdbms/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[?]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: Pom files have correct Maven mapping
     Note: Some add_maven_depmap calls found. Please check if they are correct
     or update to latest guidelines
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     datanucleus-rdbms-javadoc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: datanucleus-rdbms-3.2.9-1.fc21.noarch.rpm
          datanucleus-rdbms-javadoc-3.2.9-1.fc21.noarch.rpm
          datanucleus-rdbms-3.2.9-1.fc21.src.rpm
datanucleus-rdbms.src: W: invalid-url Source0: datanucleus-rdbms-3.2.9.tar.xz
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint datanucleus-rdbms-javadoc datanucleus-rdbms
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
datanucleus-rdbms-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

datanucleus-rdbms (rpmlib, GLIBC filtered):
    jpackage-utils
    osgi(org.datanucleus)



Provides
--------
datanucleus-rdbms-javadoc:
    datanucleus-rdbms-javadoc

datanucleus-rdbms:
    datanucleus-rdbms
    mvn(org.datanucleus:datanucleus-rdbms)
    osgi(org.datanucleus.store.rdbms)



Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 1011960 -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

approved
Comment 3 Pete MacKinnon 2013-12-13 10:19:43 EST
Gil, anything else required for fedora-review+?
Comment 4 gil cattaneo 2013-12-13 10:21:58 EST
Sorry!
Comment 5 Pete MacKinnon 2013-12-13 11:11:07 EST
New Package SCM Request
=======================
Package Name: datanucleus-rdbms
Short Description: DataNucleus plugin for persistence to RDBMS data-stores
Owners: pmackinn
Branches: f20
InitialCC: java-sig
Comment 6 Gwyn Ciesla 2013-12-13 12:40:33 EST
Done, clearing flag.  There was an error, please submit a Package Change
request for the f20 branch.
Comment 7 gil cattaneo 2013-12-13 12:43:26 EST
Package Change Request
======================
Package Name: datanucleus-rdbms
New Branches: f20
Owners: pmackinn
InitialCC: java-sig
Comment 8 Pete MacKinnon 2013-12-13 12:45:56 EST
New Package SCM Request
=======================
Package Name: datanucleus-rdbms
Short Description: DataNucleus plugin for persistence to RDBMS data-stores
Owners: pmackinn
Branches: master
InitialCC: java-sig
Comment 9 Gwyn Ciesla 2013-12-13 13:24:52 EST
Please place the Change after the new New Package request so our tool can
see it.
Comment 10 Pete MacKinnon 2013-12-13 14:22:02 EST
Package Change Request
======================
Package Name: datanucleus-rdbms
New Branches: master
Owners: pmackinn
InitialCC: java-sig
Comment 11 Gwyn Ciesla 2013-12-13 14:28:58 EST
Git done (by process-git-requests).

I replaced master with f20.
Comment 12 Fedora Update System 2014-01-03 15:02:47 EST
datanucleus-rdbms-3.2.9-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/datanucleus-rdbms-3.2.9-1.fc20
Comment 13 Fedora Update System 2014-01-04 14:52:09 EST
datanucleus-rdbms-3.2.9-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 14 Fedora Update System 2014-02-05 22:43:43 EST
datanucleus-rdbms-3.2.9-1.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.